[@rxap/components](../wiki/globals) / CopyToClipboardComponent

# Class: CopyToClipboardComponent

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:16](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L16)

## Constructors

### new CopyToClipboardComponent()

> **new CopyToClipboardComponent**(): [`CopyToClipboardComponent`](../wiki/Class.CopyToClipboardComponent)

#### Returns

[`CopyToClipboardComponent`](../wiki/Class.CopyToClipboardComponent)

## Properties

### active

> **active**: `boolean` = `true`

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:18](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L18)

***

### disabled

> **disabled**: `boolean` = `false`

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:19](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L19)

***

### value

> **value**: `string`

Defined in: [copy-to-clipboard/copy-to-clipboard.component.ts:20](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/components/src/lib/copy-to-clipboard/copy-to-clipboard.component.ts#L20)
